/*
 * @Author: your name
 * @Date: 2021-01-14 09:23:51
 * @LastEditTime: 2021-01-14 10:51:37
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: \tostumi\src\models\CommunityManagement\Bug.ts
 */
import * as service from '../../services/tos';
import { message } from 'antd';
import { Link, useIntl, connect, Dispatch, history } from 'umi';

import { routerRedux } from 'dva/router';

import { printf } from '@/utils/log';

export default {
  namespace: 'Bug',
  state: {
    Data: null,
    DataSave: null,
  },

  reducers: {
    returnPage(state, { Data }) {
      return { ...state, Data };
    },
    returnDataSave(state, { DataSave }) {
      return { ...state, DataSave };
    },
  },

  effects: {
    //标准请求
    *RA({ playload }, { call, put }) {
      const resp = yield call(service.RA, playload);

      if (resp.error_code != '0000') {
        printf(playload, resp);
        message.error(`${resp.error_code}:${resp.error_msg}`);
      } else {
        switch (playload.index) {
          case 59: // 获取后台所有账号
            {
              let Data = resp.data;
              yield put({ type: 'returnPage', Data });
            }
            break;
        }
      }
    },
    *SA({ DataSave }, { call, put }) {
      yield put({ type: 'returnDataSave', DataSave });
    },
  },
};
